<template>
<div class="main">
    <div>
        <b-card bg-variant="dark" text-variant="white" v-bind:title=msg1
          v-bind:img-src=img
          text-align=left;
          img-alt="Img"
          img-top
          style="max-width:21rem"
          class="mb-5">
        <p class="card-text">
            About: <br>{{ msg2 }}
        </p>
            <div>
                <b-btn v-bind:id=idm2 v-b-modal=idm>Details</b-btn>

                <!-- Modal Component -->
                <b-modal v-bind:id=idm
                    body-bg-variant="dark"
                    header-bg-variant="info"
                    footer-bg-variant="dark"
                    centered title="More about this project:"
                    :ok-only=true
                    ok-title="Close">
                    <p>{{ bod }}</p>
                </b-modal>
            </div>

            <div slot="footer">
                <small class="text-muted">380x230</small>
            </div>
        </b-card>
    </div>
</div>
</template>

<script>
export default {
  name: 'Projects',
  props: {
    msg1: String,
    msg2: String,
    img: String,
    idm: String,
    idm2: String,
    bod: String
  }
}
</script>

<style scoped lang="scss">
</style>
